com.fasterxml.jackson.databind.annotation

## Class JsonPOJOBuilder.Value

- java.lang.Object
- - com.fasterxml.jackson.databind.annotation.JsonPOJOBuilder.Value

- Enclosing class:
    JsonPOJOBuilder

      public static class JsonPOJOBuilder.Value
      extends java.lang.Object

  Simple value container for containing values read from `JsonPOJOBuilder` annotation instance.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `buildMethodName`
    `java.lang.String` | `withPrefix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonPOJOBuilder.Value(JsonPOJOBuilder ann)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buildMethodName

          public final java.lang.String buildMethodName

    - #### withPrefix

          public final java.lang.String withPrefix

  - ### Constructor Detail

    - #### JsonPOJOBuilder.Value

          public JsonPOJOBuilder.Value(JsonPOJOBuilder ann)